{"openapi":"3.0.1","info":{"title":"NinjaOne Public API 2.0","description":"Ninja One Public API documentation. <br><br>\nSee also: <br> \n<a href=\"https://resources.ninjarmm.com/API/Ninja+RMM+Public+API+v2.0.5+Device+Filter+Syntax.pdf\">Device Filter syntax</a><br>\n<a href=\"https://app.ninjarmm.com/apidocs-beta/core-resources/articles/webhooks/overview\">Webhooks</a>","contact":{"email":"api@ninjarmm.com"},"version":"2.0.9-draft"},"security":[{"oauth2":["monitoring","management","control"]},{"sessionKey":["monitoring","management","control"]}],"tags":[{"name":"system","description":"Core system Entities and Resources"},{"name":"organization","description":"Organizations"},{"name":"devices","description":"Devices"},{"name":"groups","description":"Groups/Search"},{"name":"queries","description":"Queries"},{"name":"management","description":"Management"},{"name":"ticketing","description":"ticketing"},{"name":"webhooks","description":"Webhook Endpoints"},{"name":"Billing","description":"Billing"},{"name":"Users","description":"Users"},{"name":"Related Items","description":"Related Items"},{"name":"Location","description":"Location"},{"name":"Backup","description":"Backup"},{"name":"Knowledge Base Articles","description":"Knowledge Base Articles"},{"name":"Organization Documents","description":"Organization Documents"},{"name":"Document Templates","description":"Document Templates"},{"name":"Checklist Templates","description":"Checklist Templates"},{"name":"Custom Fields","description":"Custom Fields"},{"name":"Organization Checklists","description":"Organization Checklists"},{"name":"Vulnerability Management","description":"Vulnerability Management"},{"name":"Node Roles","description":"Node Roles"},{"name":"Custom Tabs","description":"Custom Tabs"},{"name":"Unmanaged Devices","description":"Unmanaged Devices"},{"name":"Software Licenses","description":"Software Licenses"},{"name":"Asset Tags","description":"Asset Tags"},{"name":"Asset Relationships","description":"Asset Relationships"},{"name":"Geolocation","description":"Device Geolocation"},{"name":"ServiceNow","description":"ServiceNow"},{"name":"Manifests","description":"Manifests"}],"paths":{"/v2/contacts":{"get":{"tags":["system"],"summary":"Contact list","description":"Get all contacts","operationId":"getContacts","responses":{"200":{"description":"List of contacts","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"organizationId":{"type":"integer","format":"int32"},"uid":{"type":"string","format":"uuid"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"jobTitle":{"type":"string"}}}}}}},"403":{"description":"Forbidden"}}},"post":{"tags":["management"],"summary":"Create a contact","description":"Create a new contact","operationId":"createContact","requestBody":{"description":"Contact creation payload","content":{"application/json":{"schema":{"required":["email"],"type":"object","properties":{"organizationId":{"type":"integer","description":"Organization identifier","format":"int32"},"firstName":{"maxLength":150,"minLength":1,"type":"string","description":"First name should be between 1 and 150 characters"},"lastName":{"maxLength":150,"minLength":1,"type":"string","description":"First name should be between 1 and 150 characters"},"email":{"type":"string","description":"Email address"},"phone":{"type":"string","description":"Contact Phone number"},"jobTitle":{"maxLength":150,"type":"string","description":"Job title should be between 0 and 150 characters"},"managerUuid":{"type":"string","description":"UUID of the manager","format":"uuid"}},"description":"Create contact request payload"}}},"required":true},"responses":{"200":{"description":"Contact created","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"organizationId":{"type":"integer","format":"int32"},"uid":{"type":"string","format":"uuid"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"jobTitle":{"type":"string"}}}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/v2/contact/{id}":{"get":{"tags":["system"],"summary":"Contact details","description":"Get a contact by their ID","operationId":"getContactById","parameters":[{"name":"id","in":"path","description":"Contact identifier","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Contact details","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"organizationId":{"type":"integer","format":"int32"},"uid":{"type":"string","format":"uuid"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"jobTitle":{"type":"string"}}}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Contact not found"}}},"delete":{"tags":["management"],"summary":"Delete a contact","description":"Delete a contact by their ID","operationId":"deleteContact","parameters":[{"name":"id","in":"path","description":"Contact identifier","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"Contact deleted"},"400":{"description":"Several possible validation errors"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Contact not found"}}},"patch":{"tags":["management"],"summary":"Update a contact","description":"Update a contact by their ID","operationId":"updateContact","parameters":[{"name":"id","in":"path","description":"Contact identifier","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Contact request payload","content":{"application/json":{"schema":{"type":"object","properties":{"firstName":{"maxLength":150,"type":"string","description":"First name should be between 0 and 150 characters"},"lastName":{"maxLength":150,"type":"string","description":"Last name should be between 0 and 150 characters"},"email":{"type":"string","description":"Email address"},"jobTitle":{"maxLength":150,"type":"string","description":"Job title should be between 0 and 150 characters"},"organizationId":{"type":"integer","description":"Organization identifier","format":"int32"},"phone":{"type":"string","description":"Phone number"}},"description":"Patch contact request payload"}}},"required":true},"responses":{"200":{"description":"Contact updated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"organizationId":{"type":"integer","format":"int32"},"uid":{"type":"string","format":"uuid"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"jobTitle":{"type":"string"}}}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Contact not found"}}}},"/v2/noderole":{"post":{"tags":["Node Roles"],"summary":"Create node roles","description":"Create multiple node roles","operationId":"createNodeRoles","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"nodeClass":{"type":"string","description":"Node Class of the Device Role. Should match Parent Device Role's Node Class.","enum":["WINDOWS_SERVER","WINDOWS_WORKSTATION","LINUX_WORKSTATION","MAC","ANDROID","APPLE_IOS","APPLE_IPADOS","AOSP","CHROMEOS","VMWARE_VM_HOST","VMWARE_VM_GUEST","HYPERV_VMM_HOST","HYPERV_VMM_GUEST","LINUX_SERVER","MAC_SERVER","CLOUD_MONITOR_TARGET","NMS_SWITCH","NMS_ROUTER","NMS_FIREWALL","NMS_PRIVATE_NETWORK_GATEWAY","NMS_PRINTER","NMS_SCANNER","NMS_DIAL_MANAGER","NMS_WAP","NMS_IPSLA","NMS_COMPUTER","NMS_VM_HOST","NMS_APPLIANCE","NMS_OTHER","NMS_SERVER","NMS_PHONE","NMS_VIRTUAL_MACHINE","NMS_NETWORK_MANAGEMENT_AGENT","UNMANAGED_DEVICE","MANAGED_DEVICE"]},"nodeRoleParentName":{"type":"string","description":"Name of a Device Parent that will be created in this request that will act as the Parent Device Role for this Device Role. Should be null if nodeRoleParentId is assigned."},"nodeRoleParentId":{"type":"integer","description":"Id of an already existing Device Role to create this Node Role Under. Should be null if nodeRoleParentName is assigned.","format":"int32"},"name":{"type":"string","description":"Device Role Name. Must be unique."},"description":{"type":"string","description":"Device Role Description."},"chassisType":{"type":"string","description":"Chassis Type for the Managed Device Roles that utilize it such as Workstations. Should be null if unused.","enum":["UNKNOWN","DESKTOP","LAPTOP","MOBILE"]},"icon":{"type":"string","description":"Icon Name of white-listed icon to be used for Unmanaged Device Roles. Should be null for all Managed Device Roles."}}}}}}},"responses":{"200":{"description":"Returns list of created node role","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"nodeClass":{"type":"string","description":"Node Class of the Device Role. Should match Parent Device Role's Node Class.","enum":["WINDOWS_SERVER","WINDOWS_WORKSTATION","LINUX_WORKSTATION","MAC","ANDROID","APPLE_IOS","APPLE_IPADOS","AOSP","CHROMEOS","VMWARE_VM_HOST","VMWARE_VM_GUEST","HYPERV_VMM_HOST","HYPERV_VMM_GUEST","LINUX_SERVER","MAC_SERVER","CLOUD_MONITOR_TARGET","NMS_SWITCH","NMS_ROUTER","NMS_FIREWALL","NMS_PRIVATE_NETWORK_GATEWAY","NMS_PRINTER","NMS_SCANNER","NMS_DIAL_MANAGER","NMS_WAP","NMS_IPSLA","NMS_COMPUTER","NMS_VM_HOST","NMS_APPLIANCE","NMS_OTHER","NMS_SERVER","NMS_PHONE","NMS_VIRTUAL_MACHINE","NMS_NETWORK_MANAGEMENT_AGENT","UNMANAGED_DEVICE","MANAGED_DEVICE"]},"nodeRoleParentName":{"type":"string","description":"Name of a Device Parent that will be created in this request that will act as the Parent Device Role for this Device Role. Should be null if nodeRoleParentId is assigned."},"nodeRoleParentId":{"type":"integer","description":"Id of an already existing Device Role to create this Node Role Under. Should be null if nodeRoleParentName is assigned.","format":"int32"},"name":{"type":"string","description":"Device Role Name. Must be unique."},"description":{"type":"string","description":"Device Role Description."},"chassisType":{"type":"string","description":"Chassis Type for the Managed Device Roles that utilize it such as Workstations. Should be null if unused.","enum":["UNKNOWN","DESKTOP","LAPTOP","MOBILE"]},"icon":{"type":"string","description":"Icon Name of white-listed icon to be used for Unmanaged Device Roles. Should be null for all Managed Device Roles."}}}}}}}}},"patch":{"tags":["Node Roles"],"summary":"Update node roles","description":"Update multiple node roles","operationId":"updateNodeRoles","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Id of the Device Role to update.","format":"int32"},"name":{"type":"string","description":"Device Role Name. Must be unique."},"description":{"type":"string","description":"Device Role Description"},"icon":{"type":"string","description":"Icon Name of white-listed icon to be used for Unmanaged Device Roles. Should be null for all Managed Device Roles."}}}}}}},"responses":{"200":{"description":"Returns list of created node role","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Id of the Device Role to update.","format":"int32"},"name":{"type":"string","description":"Device Role Name. Must be unique."},"description":{"type":"string","description":"Device Role Description"},"icon":{"type":"string","description":"Icon Name of white-listed icon to be used for Unmanaged Device Roles. Should be null for all Managed Device Roles."}}}}}}}}}},"/v2/noderole/delete":{"post":{"tags":["Node Roles"],"summary":"Delete node roles","description":"Delete node roles","operationId":"deleteNodeRoles","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ids":{"type":"array","description":"Ids of the Custom Device Roles to delete. System Default Device Roles can not be deleted.","items":{"type":"integer","description":"Ids of the Custom Device Roles to delete. System Default Device Roles can not be deleted.","format":"int32"}}}}}}},"responses":{"204":{"description":"No Content"}}}},"/v2/noderole/list":{"get":{"tags":["Node Roles"],"summary":"Get all node roles","description":"Get all node roles","operationId":"getNodeRoles","parameters":[{"name":"isAssignable","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Returns list of all node roles"}}}},"/v2/policies/{policy_id}/condition/custom-fields":{"get":{"tags":["management"],"summary":"Get custom fields policy conditions","description":"Get all custom fields policy conditions for specified policy","operationId":"getCustomFieldsPolicyConditions","parameters":[{"name":"policy_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition id"},"conditionName":{"type":"string","description":"Policy condition name"},"displayName":{"type":"string","description":"Policy condition display name"},"enabled":{"type":"boolean","description":"Policy condition enabled"},"severity":{"type":"string","description":"Policy condition severity","enum":["NONE","MINOR","MODERATE","MAJOR","CRITICAL"]},"priority":{"type":"string","description":"Policy condition priority","enum":["NONE","LOW","MEDIUM","HIGH"]},"channels":{"uniqueItems":true,"type":"array","description":"Policy condition notification channels","items":{"type":"integer","description":"Policy condition notification channels","format":"int32"}},"scripts":{"type":"array","description":"Policy condition scripts","items":{"type":"object","properties":{"scriptId":{"type":"integer","description":"Policy condition script id","format":"int32"},"runAs":{"type":"string","description":"Policy condition script runAs","enum":["SYSTEM","LOGGED_ON_USER","LOCAL_ADMIN","DOMAIN_ADMIN","PREFERRED_CREDENTIAL_MAC","PREFERRED_CREDENTIAL_LINUX"],"default":"SYSTEM"},"scriptParam":{"type":"string","description":"Policy condition script parameter"},"scriptVariables":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition script variables","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition script variable Id"},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Policy condition script variable value"}},"description":"Policy condition script variable"}}},"description":"Policy condition script"}},"notificationAction":{"type":"string","description":"Policy condition notification action","enum":["NONE","SEND"]},"notifyOnReset":{"type":"boolean","description":"Policy condition notify on reset"},"resetThreshold":{"type":"integer","description":"Policy condition reset threshold (seconds)","format":"int32"},"inheritance":{"type":"object","properties":{"inherited":{"type":"boolean","description":"Is policy condition inherited"},"overridden":{"type":"boolean","description":"Is policy condition overridden"},"sourcePolicyId":{"type":"integer","description":"Id of the policy where the value originates; may be an ancestor above the immediate parent","format":"int32"}},"description":"Policy condition inheritance status"},"matchAll":{"type":"array","description":"Custom field value must meet all conditions","items":{"required":["fieldName","operator","value"],"type":"object","properties":{"fieldName":{"maxLength":250,"minLength":0,"type":"string","description":"Custom field name"},"operator":{"type":"string","description":"Custom field operator","enum":["EQUALS","NOT_EQUALS","LESS_THAN","LESS_OR_EQUAL_THAN","GREATER_THAN","GREATER_OR_EQUAL_THAN","IS_NOT_NULL","CONTAINS","CONTAINS_NONE","CONTAINS_ANY"]},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Custom field value"}},"description":"Policy condition custom field"}},"matchAny":{"type":"array","description":"Custom field value must meet any conditions","items":{"required":["fieldName","operator","value"],"type":"object","properties":{"fieldName":{"maxLength":250,"minLength":0,"type":"string","description":"Custom field name"},"operator":{"type":"string","description":"Custom field operator","enum":["EQUALS","NOT_EQUALS","LESS_THAN","LESS_OR_EQUAL_THAN","GREATER_THAN","GREATER_OR_EQUAL_THAN","IS_NOT_NULL","CONTAINS","CONTAINS_NONE","CONTAINS_ANY"]},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Custom field value"}},"description":"Policy condition custom field"}}},"description":"Custom fields policy condition response payload"}}}}}}},"post":{"tags":["management"],"summary":"Create custom fields policy condition","description":"Creates custom fields policy condition for specified policy","operationId":"createCustomFieldsPolicyCondition","parameters":[{"name":"policy_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Policy condition enabled","default":true},"displayName":{"maxLength":255,"minLength":0,"type":"string","description":"Policy condition display name"},"severity":{"type":"string","description":"Policy condition severity","enum":["NONE","MINOR","MODERATE","MAJOR","CRITICAL"],"default":"NONE"},"priority":{"type":"string","description":"Policy condition priority","enum":["NONE","LOW","MEDIUM","HIGH"],"default":"NONE"},"channels":{"maxItems":20,"minItems":0,"uniqueItems":true,"type":"array","description":"Policy condition notification channels","items":{"type":"integer","description":"Policy condition notification channels","format":"int32"}},"scripts":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition scripts","items":{"type":"object","properties":{"scriptId":{"type":"integer","description":"Policy condition script id","format":"int32"},"runAs":{"type":"string","description":"Policy condition script runAs","enum":["SYSTEM","LOGGED_ON_USER","LOCAL_ADMIN","DOMAIN_ADMIN","PREFERRED_CREDENTIAL_MAC","PREFERRED_CREDENTIAL_LINUX"],"default":"SYSTEM"},"scriptParam":{"type":"string","description":"Policy condition script parameter"},"scriptVariables":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition script variables","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition script variable Id"},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Policy condition script variable value"}},"description":"Policy condition script variable"}}},"description":"Policy condition script"}},"notificationAction":{"type":"string","description":"Policy condition notification action","enum":["NONE","SEND"],"default":"NONE"},"notifyOnReset":{"type":"boolean","description":"Policy condition notify on reset","default":false},"resetThreshold":{"type":"integer","description":"Policy condition reset threshold (seconds)","format":"int32","default":14400},"matchAll":{"maxItems":10,"minItems":0,"type":"array","description":"Custom field value must meet all conditions","items":{"required":["fieldName","operator","value"],"type":"object","properties":{"fieldName":{"maxLength":250,"minLength":0,"type":"string","description":"Custom field name"},"operator":{"type":"string","description":"Custom field operator","enum":["EQUALS","NOT_EQUALS","LESS_THAN","LESS_OR_EQUAL_THAN","GREATER_THAN","GREATER_OR_EQUAL_THAN","IS_NOT_NULL","CONTAINS","CONTAINS_NONE","CONTAINS_ANY"]},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Custom field value"}},"description":"Policy condition custom field"}},"matchAny":{"maxItems":10,"minItems":0,"type":"array","description":"Custom field value must meet any conditions","items":{"required":["fieldName","operator","value"],"type":"object","properties":{"fieldName":{"maxLength":250,"minLength":0,"type":"string","description":"Custom field name"},"operator":{"type":"string","description":"Custom field operator","enum":["EQUALS","NOT_EQUALS","LESS_THAN","LESS_OR_EQUAL_THAN","GREATER_THAN","GREATER_OR_EQUAL_THAN","IS_NOT_NULL","CONTAINS","CONTAINS_NONE","CONTAINS_ANY"]},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Custom field value"}},"description":"Policy condition custom field"}}},"description":"Custom fields policy condition create request payload"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition id"},"conditionName":{"type":"string","description":"Policy condition name"},"displayName":{"type":"string","description":"Policy condition display name"},"enabled":{"type":"boolean","description":"Policy condition enabled"},"severity":{"type":"string","description":"Policy condition severity","enum":["NONE","MINOR","MODERATE","MAJOR","CRITICAL"]},"priority":{"type":"string","description":"Policy condition priority","enum":["NONE","LOW","MEDIUM","HIGH"]},"channels":{"uniqueItems":true,"type":"array","description":"Policy condition notification channels","items":{"type":"integer","description":"Policy condition notification channels","format":"int32"}},"scripts":{"type":"array","description":"Policy condition scripts","items":{"type":"object","properties":{"scriptId":{"type":"integer","description":"Policy condition script id","format":"int32"},"runAs":{"type":"string","description":"Policy condition script runAs","enum":["SYSTEM","LOGGED_ON_USER","LOCAL_ADMIN","DOMAIN_ADMIN","PREFERRED_CREDENTIAL_MAC","PREFERRED_CREDENTIAL_LINUX"],"default":"SYSTEM"},"scriptParam":{"type":"string","description":"Policy condition script parameter"},"scriptVariables":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition script variables","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition script variable Id"},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Policy condition script variable value"}},"description":"Policy condition script variable"}}},"description":"Policy condition script"}},"notificationAction":{"type":"string","description":"Policy condition notification action","enum":["NONE","SEND"]},"notifyOnReset":{"type":"boolean","description":"Policy condition notify on reset"},"resetThreshold":{"type":"integer","description":"Policy condition reset threshold (seconds)","format":"int32"},"inheritance":{"type":"object","properties":{"inherited":{"type":"boolean","description":"Is policy condition inherited"},"overridden":{"type":"boolean","description":"Is policy condition overridden"},"sourcePolicyId":{"type":"integer","description":"Id of the policy where the value originates; may be an ancestor above the immediate parent","format":"int32"}},"description":"Policy condition inheritance status"},"matchAll":{"type":"array","description":"Custom field value must meet all conditions","items":{"required":["fieldName","operator","value"],"type":"object","properties":{"fieldName":{"maxLength":250,"minLength":0,"type":"string","description":"Custom field name"},"operator":{"type":"string","description":"Custom field operator","enum":["EQUALS","NOT_EQUALS","LESS_THAN","LESS_OR_EQUAL_THAN","GREATER_THAN","GREATER_OR_EQUAL_THAN","IS_NOT_NULL","CONTAINS","CONTAINS_NONE","CONTAINS_ANY"]},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Custom field value"}},"description":"Policy condition custom field"}},"matchAny":{"type":"array","description":"Custom field value must meet any conditions","items":{"required":["fieldName","operator","value"],"type":"object","properties":{"fieldName":{"maxLength":250,"minLength":0,"type":"string","description":"Custom field name"},"operator":{"type":"string","description":"Custom field operator","enum":["EQUALS","NOT_EQUALS","LESS_THAN","LESS_OR_EQUAL_THAN","GREATER_THAN","GREATER_OR_EQUAL_THAN","IS_NOT_NULL","CONTAINS","CONTAINS_NONE","CONTAINS_ANY"]},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Custom field value"}},"description":"Policy condition custom field"}}},"description":"Custom fields policy condition response payload"}}}}}}},"/v2/policies/{policy_id}/condition/windows-event":{"get":{"tags":["management"],"summary":"Get windows event conditions","description":"Get all windows event conditions for specified policy","operationId":"getWindowsEventPolicyConditions","parameters":[{"name":"policy_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition id"},"conditionName":{"type":"string","description":"Policy condition name"},"displayName":{"type":"string","description":"Policy condition display name"},"enabled":{"type":"boolean","description":"Policy condition enabled"},"severity":{"type":"string","description":"Policy condition severity","enum":["NONE","MINOR","MODERATE","MAJOR","CRITICAL"]},"priority":{"type":"string","description":"Policy condition priority","enum":["NONE","LOW","MEDIUM","HIGH"]},"channels":{"uniqueItems":true,"type":"array","description":"Policy condition notification channels","items":{"type":"integer","description":"Policy condition notification channels","format":"int32"}},"scripts":{"type":"array","description":"Policy condition scripts","items":{"type":"object","properties":{"scriptId":{"type":"integer","description":"Policy condition script id","format":"int32"},"runAs":{"type":"string","description":"Policy condition script runAs","enum":["SYSTEM","LOGGED_ON_USER","LOCAL_ADMIN","DOMAIN_ADMIN","PREFERRED_CREDENTIAL_MAC","PREFERRED_CREDENTIAL_LINUX"],"default":"SYSTEM"},"scriptParam":{"type":"string","description":"Policy condition script parameter"},"scriptVariables":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition script variables","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition script variable Id"},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Policy condition script variable value"}},"description":"Policy condition script variable"}}},"description":"Policy condition script"}},"notificationAction":{"type":"string","description":"Policy condition notification action","enum":["NONE","SEND"]},"notifyOnReset":{"type":"boolean","description":"Policy condition notify on reset"},"resetThreshold":{"type":"integer","description":"Policy condition reset threshold (seconds)","format":"int32"},"inheritance":{"type":"object","properties":{"inherited":{"type":"boolean","description":"Is policy condition inherited"},"overridden":{"type":"boolean","description":"Is policy condition overridden"},"sourcePolicyId":{"type":"integer","description":"Id of the policy where the value originates; may be an ancestor above the immediate parent","format":"int32"}},"description":"Policy condition inheritance status"},"source":{"type":"string","description":"Event Source"},"eventIds":{"uniqueItems":true,"type":"array","description":"Event IDs","items":{"type":"integer","description":"Event IDs","format":"int32"}},"text":{"type":"object","properties":{"values":{"maxItems":20,"minItems":0,"uniqueItems":true,"type":"array","description":"Text values","items":{"type":"string","description":"Text values"}},"condition":{"type":"string","description":"Text condition","enum":["CONTAINS","NOT_CONTAINS"],"default":"CONTAINS"},"include":{"type":"string","description":"Text include","enum":["ALL","ANY"],"default":"ALL"}},"description":"Windows event policy condition text"},"occurrence":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Occurrence enabled","default":false},"threshold":{"type":"integer","description":"Occurrence threshold","format":"int32","default":2},"duration":{"type":"integer","description":"Occurrence duration","format":"int32","default":5}},"description":"Windows event policy condition occurrence"}},"description":"Windows event policy condition response payload"}}}}}}},"post":{"tags":["management"],"summary":"Create windows event condition","description":"Creates windows event condition for specified policy","operationId":"createWindowsEventPolicyCondition","parameters":[{"name":"policy_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["eventIds","source"],"type":"object","properties":{"enabled":{"type":"boolean","description":"Policy condition enabled","default":true},"displayName":{"maxLength":255,"minLength":0,"type":"string","description":"Policy condition display name"},"severity":{"type":"string","description":"Policy condition severity","enum":["NONE","MINOR","MODERATE","MAJOR","CRITICAL"],"default":"NONE"},"priority":{"type":"string","description":"Policy condition priority","enum":["NONE","LOW","MEDIUM","HIGH"],"default":"NONE"},"channels":{"maxItems":20,"minItems":0,"uniqueItems":true,"type":"array","description":"Policy condition notification channels","items":{"type":"integer","description":"Policy condition notification channels","format":"int32"}},"scripts":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition scripts","items":{"type":"object","properties":{"scriptId":{"type":"integer","description":"Policy condition script id","format":"int32"},"runAs":{"type":"string","description":"Policy condition script runAs","enum":["SYSTEM","LOGGED_ON_USER","LOCAL_ADMIN","DOMAIN_ADMIN","PREFERRED_CREDENTIAL_MAC","PREFERRED_CREDENTIAL_LINUX"],"default":"SYSTEM"},"scriptParam":{"type":"string","description":"Policy condition script parameter"},"scriptVariables":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition script variables","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition script variable Id"},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Policy condition script variable value"}},"description":"Policy condition script variable"}}},"description":"Policy condition script"}},"notificationAction":{"type":"string","description":"Policy condition notification action","enum":["NONE","SEND"],"default":"NONE"},"notifyOnReset":{"type":"boolean","description":"Policy condition notify on reset","default":false},"resetThreshold":{"type":"integer","description":"Policy condition reset threshold (seconds)","format":"int32","default":14400},"source":{"maxLength":255,"minLength":0,"type":"string","description":"Event Source"},"eventIds":{"maxItems":20,"minItems":0,"uniqueItems":true,"type":"array","description":"Event IDs","items":{"type":"integer","description":"Event IDs","format":"int32"}},"text":{"type":"object","properties":{"values":{"maxItems":20,"minItems":0,"uniqueItems":true,"type":"array","description":"Text values","items":{"type":"string","description":"Text values"}},"condition":{"type":"string","description":"Text condition","enum":["CONTAINS","NOT_CONTAINS"],"default":"CONTAINS"},"include":{"type":"string","description":"Text include","enum":["ALL","ANY"],"default":"ALL"}},"description":"Windows event policy condition text"},"occurrence":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Occurrence enabled","default":false},"threshold":{"type":"integer","description":"Occurrence threshold","format":"int32","default":2},"duration":{"type":"integer","description":"Occurrence duration","format":"int32","default":5}},"description":"Windows event policy condition occurrence"}},"description":"Windows event policy condition create request payload"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition id"},"conditionName":{"type":"string","description":"Policy condition name"},"displayName":{"type":"string","description":"Policy condition display name"},"enabled":{"type":"boolean","description":"Policy condition enabled"},"severity":{"type":"string","description":"Policy condition severity","enum":["NONE","MINOR","MODERATE","MAJOR","CRITICAL"]},"priority":{"type":"string","description":"Policy condition priority","enum":["NONE","LOW","MEDIUM","HIGH"]},"channels":{"uniqueItems":true,"type":"array","description":"Policy condition notification channels","items":{"type":"integer","description":"Policy condition notification channels","format":"int32"}},"scripts":{"type":"array","description":"Policy condition scripts","items":{"type":"object","properties":{"scriptId":{"type":"integer","description":"Policy condition script id","format":"int32"},"runAs":{"type":"string","description":"Policy condition script runAs","enum":["SYSTEM","LOGGED_ON_USER","LOCAL_ADMIN","DOMAIN_ADMIN","PREFERRED_CREDENTIAL_MAC","PREFERRED_CREDENTIAL_LINUX"],"default":"SYSTEM"},"scriptParam":{"type":"string","description":"Policy condition script parameter"},"scriptVariables":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition script variables","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition script variable Id"},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Policy condition script variable value"}},"description":"Policy condition script variable"}}},"description":"Policy condition script"}},"notificationAction":{"type":"string","description":"Policy condition notification action","enum":["NONE","SEND"]},"notifyOnReset":{"type":"boolean","description":"Policy condition notify on reset"},"resetThreshold":{"type":"integer","description":"Policy condition reset threshold (seconds)","format":"int32"},"inheritance":{"type":"object","properties":{"inherited":{"type":"boolean","description":"Is policy condition inherited"},"overridden":{"type":"boolean","description":"Is policy condition overridden"},"sourcePolicyId":{"type":"integer","description":"Id of the policy where the value originates; may be an ancestor above the immediate parent","format":"int32"}},"description":"Policy condition inheritance status"},"source":{"type":"string","description":"Event Source"},"eventIds":{"uniqueItems":true,"type":"array","description":"Event IDs","items":{"type":"integer","description":"Event IDs","format":"int32"}},"text":{"type":"object","properties":{"values":{"maxItems":20,"minItems":0,"uniqueItems":true,"type":"array","description":"Text values","items":{"type":"string","description":"Text values"}},"condition":{"type":"string","description":"Text condition","enum":["CONTAINS","NOT_CONTAINS"],"default":"CONTAINS"},"include":{"type":"string","description":"Text include","enum":["ALL","ANY"],"default":"ALL"}},"description":"Windows event policy condition text"},"occurrence":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Occurrence enabled","default":false},"threshold":{"type":"integer","description":"Occurrence threshold","format":"int32","default":2},"duration":{"type":"integer","description":"Occurrence duration","format":"int32","default":5}},"description":"Windows event policy condition occurrence"}},"description":"Windows event policy condition response payload"}}}}}}},"/v2/policies/{policy_id}/condition/{condition_id}":{"delete":{"tags":["management"],"summary":"Delete policy condition","description":"Deletes specified policy condition from specified agent policy","operationId":"deletePolicyCondition","parameters":[{"name":"policy_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"condition_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"description":"default response","content":{"*/*":{}}}}}},"/v2/policies/{policy_id}/condition/custom-fields/{condition_id}":{"get":{"tags":["management"],"summary":"Get custom fields policy condition","description":"Get specified custom fields condition for specified policy","operationId":"getCustomFieldsPolicyCondition","parameters":[{"name":"policy_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"condition_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition id"},"conditionName":{"type":"string","description":"Policy condition name"},"displayName":{"type":"string","description":"Policy condition display name"},"enabled":{"type":"boolean","description":"Policy condition enabled"},"severity":{"type":"string","description":"Policy condition severity","enum":["NONE","MINOR","MODERATE","MAJOR","CRITICAL"]},"priority":{"type":"string","description":"Policy condition priority","enum":["NONE","LOW","MEDIUM","HIGH"]},"channels":{"uniqueItems":true,"type":"array","description":"Policy condition notification channels","items":{"type":"integer","description":"Policy condition notification channels","format":"int32"}},"scripts":{"type":"array","description":"Policy condition scripts","items":{"type":"object","properties":{"scriptId":{"type":"integer","description":"Policy condition script id","format":"int32"},"runAs":{"type":"string","description":"Policy condition script runAs","enum":["SYSTEM","LOGGED_ON_USER","LOCAL_ADMIN","DOMAIN_ADMIN","PREFERRED_CREDENTIAL_MAC","PREFERRED_CREDENTIAL_LINUX"],"default":"SYSTEM"},"scriptParam":{"type":"string","description":"Policy condition script parameter"},"scriptVariables":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition script variables","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition script variable Id"},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Policy condition script variable value"}},"description":"Policy condition script variable"}}},"description":"Policy condition script"}},"notificationAction":{"type":"string","description":"Policy condition notification action","enum":["NONE","SEND"]},"notifyOnReset":{"type":"boolean","description":"Policy condition notify on reset"},"resetThreshold":{"type":"integer","description":"Policy condition reset threshold (seconds)","format":"int32"},"inheritance":{"type":"object","properties":{"inherited":{"type":"boolean","description":"Is policy condition inherited"},"overridden":{"type":"boolean","description":"Is policy condition overridden"},"sourcePolicyId":{"type":"integer","description":"Id of the policy where the value originates; may be an ancestor above the immediate parent","format":"int32"}},"description":"Policy condition inheritance status"},"matchAll":{"type":"array","description":"Custom field value must meet all conditions","items":{"required":["fieldName","operator","value"],"type":"object","properties":{"fieldName":{"maxLength":250,"minLength":0,"type":"string","description":"Custom field name"},"operator":{"type":"string","description":"Custom field operator","enum":["EQUALS","NOT_EQUALS","LESS_THAN","LESS_OR_EQUAL_THAN","GREATER_THAN","GREATER_OR_EQUAL_THAN","IS_NOT_NULL","CONTAINS","CONTAINS_NONE","CONTAINS_ANY"]},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Custom field value"}},"description":"Policy condition custom field"}},"matchAny":{"type":"array","description":"Custom field value must meet any conditions","items":{"required":["fieldName","operator","value"],"type":"object","properties":{"fieldName":{"maxLength":250,"minLength":0,"type":"string","description":"Custom field name"},"operator":{"type":"string","description":"Custom field operator","enum":["EQUALS","NOT_EQUALS","LESS_THAN","LESS_OR_EQUAL_THAN","GREATER_THAN","GREATER_OR_EQUAL_THAN","IS_NOT_NULL","CONTAINS","CONTAINS_NONE","CONTAINS_ANY"]},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Custom field value"}},"description":"Policy condition custom field"}}},"description":"Custom fields policy condition response payload"}}}}}}},"/v2/policies/{policy_id}/condition/windows-event/{condition_id}":{"get":{"tags":["management"],"summary":"Get windows event condition","description":"Get specified windows event condition for specified policy","operationId":"getWindowsEventPolicyCondition","parameters":[{"name":"policy_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"condition_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition id"},"conditionName":{"type":"string","description":"Policy condition name"},"displayName":{"type":"string","description":"Policy condition display name"},"enabled":{"type":"boolean","description":"Policy condition enabled"},"severity":{"type":"string","description":"Policy condition severity","enum":["NONE","MINOR","MODERATE","MAJOR","CRITICAL"]},"priority":{"type":"string","description":"Policy condition priority","enum":["NONE","LOW","MEDIUM","HIGH"]},"channels":{"uniqueItems":true,"type":"array","description":"Policy condition notification channels","items":{"type":"integer","description":"Policy condition notification channels","format":"int32"}},"scripts":{"type":"array","description":"Policy condition scripts","items":{"type":"object","properties":{"scriptId":{"type":"integer","description":"Policy condition script id","format":"int32"},"runAs":{"type":"string","description":"Policy condition script runAs","enum":["SYSTEM","LOGGED_ON_USER","LOCAL_ADMIN","DOMAIN_ADMIN","PREFERRED_CREDENTIAL_MAC","PREFERRED_CREDENTIAL_LINUX"],"default":"SYSTEM"},"scriptParam":{"type":"string","description":"Policy condition script parameter"},"scriptVariables":{"maxItems":20,"minItems":0,"type":"array","description":"Policy condition script variables","items":{"type":"object","properties":{"id":{"type":"string","description":"Policy condition script variable Id"},"value":{"maxLength":65535,"minLength":0,"type":"string","description":"Policy condition script variable value"}},"description":"Policy condition script variable"}}},"description":"Policy condition script"}},"notificationAction":{"type":"string","description":"Policy condition notification action","enum":["NONE","SEND"]},"notifyOnReset":{"type":"boolean","description":"Policy condition notify on reset"},"resetThreshold":{"type":"integer","description":"Policy condition reset threshold (seconds)","format":"int32"},"inheritance":{"type":"object","properties":{"inherited":{"type":"boolean","description":"Is policy condition inherited"},"overridden":{"type":"boolean","description":"Is policy condition overridden"},"sourcePolicyId":{"type":"integer","description":"Id of the policy where the value originates; may be an ancestor above the immediate parent","format":"int32"}},"description":"Policy condition inheritance status"},"source":{"type":"string","description":"Event Source"},"eventIds":{"uniqueItems":true,"type":"array","description":"Event IDs","items":{"type":"integer","description":"Event IDs","format":"int32"}},"text":{"type":"object","properties":{"values":{"maxItems":20,"minItems":0,"uniqueItems":true,"type":"array","description":"Text values","items":{"type":"string","description":"Text values"}},"condition":{"type":"string","description":"Text condition","enum":["CONTAINS","NOT_CONTAINS"],"default":"CONTAINS"},"include":{"type":"string","description":"Text include","enum":["ALL","ANY"],"default":"ALL"}},"description":"Windows event policy condition text"},"occurrence":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Occurrence enabled","default":false},"threshold":{"type":"integer","description":"Occurrence threshold","format":"int32","default":2},"duration":{"type":"integer","description":"Occurrence duration","format":"int32","default":5}},"description":"Windows event policy condition occurrence"}},"description":"Windows event policy condition response payload"}}}}}}},"/v2/webhook":{"put":{"tags":["webhooks"],"summary":"Update API Webhook configuration","description":"Creates or updates Webhook configuration for current application/client","operationId":"configureWebhook","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string","description":"Callback (WebHook) URL for activity notifications"},"activities":{"type":"object","additionalProperties":{"type":"array","description":"Activity filter","items":{"type":"string","description":"Activity filter"}},"description":"Activity filter"},"expand":{"type":"array","description":"Which references to expand in payloads","items":{"type":"string","description":"Which references to expand in payloads"}},"headers":{"type":"array","description":"Custom HTTP Headers (i.e. Authorization)","items":{"type":"object","properties":{"name":{"type":"string","description":"Header name"},"value":{"type":"string","description":"Header value"}},"description":"Custom HTTP Headers (i.e. Authorization)"}},"organizationIds":{"uniqueItems":true,"type":"array","description":"List of organization id to be filtered","items":{"type":"integer","description":"List of organization id to be filtered","format":"int32"}}}}}}},"responses":{"204":{"description":"No Content"},"403":{"description":"Only system administrators can configure webhooks"}}},"delete":{"tags":["webhooks"],"summary":"Remove Webhook API channel","description":"Disables Webhook configuration for current application/client","operationId":"disableWebhook","responses":{"204":{"description":"No Content"},"403":{"description":"Different PSA is already configured"},"500":{"description":"Failed to disable PSA"}}}},"/v2/organizations":{"get":{"tags":["system"],"summary":"List organizations","description":"Returns list of organizations (Brief mode)","operationId":"getOrganizations","parameters":[{"name":"pageSize","in":"query","description":"Limit number of organizations to return","schema":{"type":"integer","format":"int32"}},{"name":"after","in":"query","description":"Last Organization Identifier from previous page","schema":{"type":"integer","format":"int32"}},{"name":"of","in":"query","description":"Organization filter","schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Organization full name"},"description":{"type":"string","description":"Organization Description"},"userData":{"type":"object","additionalProperties":true,"description":"Custom attributes"},"nodeApprovalMode":{"type":"string","description":"Device Approval Mode","enum":["AUTOMATIC","MANUAL","REJECT"]},"id":{"type":"integer","description":"Organization identifier","format":"int32"}},"description":"Organization"}}}}}}},"post":{"tags":["management"],"summary":"Create new organization","description":"Creates new organization with optional list of locations and policy mappings.\nTemplate organization ID can be specified to copy various settings","operationId":"createOrganization","parameters":[{"name":"templateOrganizationId","in":"query","schema":{"type":"integer","description":"Model/Template organization to copy settings from","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Organization full name"},"description":{"type":"string","description":"Organization Description"},"userData":{"type":"object","additionalProperties":true,"description":"Custom attributes"},"nodeApprovalMode":{"type":"string","description":"Device Approval Mode","enum":["AUTOMATIC","MANUAL","REJECT"]},"locations":{"type":"array","description":"List of locations","items":{"type":"object","properties":{"name":{"type":"string","description":"Location name"},"address":{"type":"string","description":"Address"},"description":{"type":"string","description":"Description"},"userData":{"type":"object","additionalProperties":true,"description":"Custom attributes"}}}},"policies":{"type":"array","description":"Node role policy assignments","items":{"type":"object","properties":{"nodeRoleId":{"type":"integer","description":"Node Role Identifier","format":"int32"},"policyId":{"type":"integer","description":"Policy Identifier","format":"int32"}},"description":"Node role policy assignments"}}}}}}},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Organization full name"},"description":{"type":"string","description":"Organization Description"},"userData":{"type":"object","additionalProperties":true,"description":"Custom attributes"},"nodeApprovalMode":{"type":"string","description":"Device Approval Mode","enum":["AUTOMATIC","MANUAL","REJECT"]},"id":{"type":"integer","description":"Organization identifier","format":"int32"},"locations":{"type":"array","description":"List of locations","items":{"type":"object","properties":{"name":{"type":"string","description":"Location name"},"address":{"type":"string","description":"Address"},"description":{"type":"string","description":"Description"},"userData":{"type":"object","additionalProperties":true,"description":"Custom attributes"},"id":{"type":"integer","description":"Location identifier","format":"int32"}},"description":"Location"}},"policies":{"type":"array","description":"Node role policy assignments","items":{"type":"object","properties":{"nodeRoleId":{"type":"integer","description":"Node Role Identifier","format":"int32"},"policyId":{"type":"integer","description":"Policy Identifier","format":"int32"}},"description":"Node role policy assignments"}},"settings":{"type":"object","properties":{"trayicon":{"type":"object","properties":{"product":{"type":"string","description":"Configured product code"},"enabled":{"type":"boolean","description":"Is enabled"},"targets":{"type":"array","description":"Feature deployment targets","items":{"type":"string","description":"Feature deployment targets"}},"options":{"type":"object","additionalProperties":{"type":"object","description":"Feature options"},"description":"Feature options"}},"description":"Feature/product/integration configuration settings"},"splashtop":{"type":"object","properties":{"product":{"type":"string","description":"Configured product code"},"enabled":{"type":"boolean","description":"Is enabled"},"targets":{"type":"array","description":"Feature deployment targets","items":{"type":"string","description":"Feature deployment targets"}},"options":{"type":"object","additionalProperties":{"type":"object","description":"Feature options"},"description":"Feature options"}},"description":"Feature/product/integration configuration settings"},"teamviewer":{"type":"object","properties":{"product":{"type":"string","description":"Configured product code"},"enabled":{"type":"boolean","description":"Is enabled"},"targets":{"type":"array","description":"Feature deployment targets","items":{"type":"string","description":"Feature deployment targets"}},"options":{"type":"object","additionalProperties":{"type":"object","description":"Feature options"},"description":"Feature options"}},"description":"Feature/product/integration configuration settings"},"backup":{"type":"object","properties":{"product":{"type":"string","description":"Configured product code"},"enabled":{"type":"boolean","description":"Is enabled"},"targets":{"type":"array","description":"Feature deployment targets","items":{"type":"string","description":"Feature deployment targets"}},"options":{"type":"object","additionalProperties":{"type":"object","description":"Feature options"},"description":"Feature options"}},"description":"Feature/product/integration configuration settings"},"psa":{"type":"object","properties":{"product":{"type":"string","description":"Configured product code"},"enabled":{"type":"boolean","description":"Is enabled"},"targets":{"type":"array","description":"Feature deployment targets","items":{"type":"string","description":"Feature deployment targets"}},"options":{"type":"object","additionalProperties":{"type":"object","description":"Feature options"},"description":"Feature options"}},"description":"Feature/product/integration configuration settings"}},"description":"Organization settings"}}}}}}}}},"/v2/devices/approval/{mode}":{"post":{"tags":["management"],"summary":"Approve/Reject devices","description":"Approve or reject devices that are waiting for approval","operationId":"nodeApprovalOperation","parameters":[{"name":"mode","in":"path","required":true,"schema":{"type":"string","description":"Approval action to perform","enum":["APPROVE","REJECT"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"devices":{"type":"array","items":{"type":"integer","format":"int32"}}}}}}},"responses":{"default":{"description":"default response","content":{"*/*":{}}}}}},"/v2/alert/{uid}":{"delete":{"tags":["management"],"summary":"Reset alert/condition","description":"Resets alert/condition by UID","operationId":"resetAlert","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"description":"default response","content":{"*/*":{}}}}}},"/v2/alert/{uid}/reset":{"post":{"tags":["management"],"summary":"Reset alert/condition and provide custom data for activity","description":"Resets alert/condition by UID","operationId":"resetAlertSetActivityData","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}}},"responses":{"default":{"description":"default response","content":{"*/*":{}}}}}},"/v2/attachments/temp/upload":{"post":{"tags":["Knowledge Base Articles"],"summary":"Upload temporary attachments","description":"Upload temporary attachment","operationId":"uploadTempAttachments","parameters":[{"name":"entityType","in":"query","schema":{"type":"string","enum":["TICKET","NODE","DOCUMENT","KB_DOCUMENT","RELATED_ITEM","CHECKLIST","AUTOMATION","LOCATION","ORGANIZATION","TRIGGER","TECHNICIAN","FILE_TRANSFER_AUTOMATION","END_USER","EMAIL_TEMPLATE","POLICY","APPROVAL_INSTANCE","NINJA_BILLING_INVOICE","ANDROID_LIBRARY_APK","GLOBAL_CUSTOM_FIELD"]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"files":{"type":"array","items":{"type":"object","properties":{"contentDisposition":{"type":"object","properties":{"type":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"fileName":{"type":"string"},"creationDate":{"type":"string","format":"date-time"},"modificationDate":{"type":"string","format":"date-time"},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"}}},"entity":{"type":"object"},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"mediaType":{"type":"object","properties":{"type":{"type":"string"},"subtype":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"wildcardType":{"type":"boolean"},"wildcardSubtype":{"type":"boolean"}}},"messageBodyWorkers":{"type":"object"},"parent":{"type":"object","properties":{"contentDisposition":{"type":"object","properties":{"type":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"fileName":{"type":"string"},"creationDate":{"type":"string","format":"date-time"},"modificationDate":{"type":"string","format":"date-time"},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"}}},"entity":{"type":"object"},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"mediaType":{"type":"object","properties":{"type":{"type":"string"},"subtype":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"wildcardType":{"type":"boolean"},"wildcardSubtype":{"type":"boolean"}}},"messageBodyWorkers":{"type":"object"},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"type":"object"},"bodyParts":{"type":"array","items":{"$ref":"#/components/schemas/BodyPart"}},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"providers":{"type":"object"},"formDataContentDisposition":{"type":"object","properties":{"type":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"fileName":{"type":"string"},"creationDate":{"type":"string","format":"date-time"},"modificationDate":{"type":"string","format":"date-time"},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"simple":{"type":"boolean"},"name":{"type":"string"},"value":{"type":"string"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}}}}}}}}}}}}}},"responses":{"200":{"description":"Returns a list of uploaded attachments metadata","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"name"},"mimeType":{"type":"string","description":"Mime type"},"size":{"type":"string","description":"Size in bytes"},"extension":{"type":"string","description":"File extension"},"contentId":{"type":"string","description":"Content identifier"}}}}}}},"422":{"description":"An unsupported attachment entity type was used"}}}},"/v2/checklist/archive":{"post":{"tags":["Checklist Templates"],"summary":"Archive a checklist template","description":"Archive a checklist template by id","operationId":"archiveChecklistTemplate","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"checklistTemplateIds":{"type":"array","items":{"type":"integer","format":"int32"}}}}}}},"responses":{"200":{"description":"Returns a list of archive checklist templates","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist template name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"tasks":{"type":"array","description":"Checklist template tasks","items":{"type":"object","properties":{"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"}},"description":"Checklist template tasks"}},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archived":{"type":"boolean","description":"Indicates if the checklist template is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}}},"/v2/checklist/templates":{"get":{"tags":["Checklist Templates"],"summary":"List checklist templates","description":"List checklists templates with given criteria","operationId":"getChecklistTemplates","parameters":[{"name":"checklistTemplateIds","in":"query","schema":{"type":"string"}},{"name":"checklistTemplateName","in":"query","schema":{"type":"string"}},{"name":"required","in":"query","schema":{"type":"boolean"}},{"name":"includeArchived","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Returns a list of checklist templates with given criteria","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist template name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"tasks":{"type":"array","description":"Checklist template tasks","items":{"type":"object","properties":{"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"}},"description":"Checklist template tasks"}},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archived":{"type":"boolean","description":"Indicates if the checklist template is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}},"put":{"tags":["Checklist Templates"],"summary":"Update checklist templates","description":"Updates multiple checklist templates","operationId":"updateChecklistTemplates","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"minimum":1,"type":"integer","description":"Checklist template identifier","format":"int32"},"name":{"type":"string","description":"Checklist template name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"tasks":{"type":"array","description":"Checklist's tasks","items":{"type":"object","properties":{"position":{"maximum":2147483647,"minimum":1,"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"}},"description":"Checklist's tasks"}},"required":{"type":"boolean","description":"Indicates if the checklist is required"}}}}}}},"responses":{"200":{"description":"Returns a list of updated checklist templates","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist template name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"tasks":{"type":"array","description":"Checklist template tasks","items":{"type":"object","properties":{"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"}},"description":"Checklist template tasks"}},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archived":{"type":"boolean","description":"Indicates if the checklist template is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}},"post":{"tags":["Checklist Templates"],"summary":"Create checklist templates","description":"Creates multiple checklist templates","operationId":"createChecklistTemplates","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Checklist template name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"tasks":{"type":"array","description":"Checklist's tasks","items":{"type":"object","properties":{"position":{"maximum":2147483647,"minimum":1,"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"}},"description":"Checklist's tasks"}},"required":{"type":"boolean","description":"Checklist's tasks"}}}}}}},"responses":{"200":{"description":"Returns a list of created checklist templates","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist template name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"tasks":{"type":"array","description":"Checklist template tasks","items":{"type":"object","properties":{"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"}},"description":"Checklist template tasks"}},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archived":{"type":"boolean","description":"Indicates if the checklist template is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}}},"/v2/checklist/template/{checklistTemplateId}":{"delete":{"tags":["Checklist Templates"],"summary":"Delete a checklist template","description":"Delete a checklist template by id","operationId":"deleteChecklistTemplate","parameters":[{"name":"checklistTemplateId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/v2/checklist/templates/delete":{"post":{"tags":["Checklist Templates"],"summary":"Delete checklist templates","description":"Deletes checklist templates by id","operationId":"deleteChecklistTemplates","requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"type":"integer","format":"int32"}}}}},"responses":{"204":{"description":"No Content"}}}},"/v2/checklist/restore":{"post":{"tags":["Checklist Templates"],"summary":"Restore a checklist template","description":"Restore a checklist template by id","operationId":"restoreChecklistTemplate","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"checklistTemplateIds":{"type":"array","items":{"type":"integer","format":"int32"}}}}}}},"responses":{"200":{"description":"Returns a list of restore checklist templates","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist template name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"tasks":{"type":"array","description":"Checklist template tasks","items":{"type":"object","properties":{"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"}},"description":"Checklist template tasks"}},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archived":{"type":"boolean","description":"Indicates if the checklist template is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}}},"/v2/organization/archive":{"post":{"tags":["Organization Checklists"],"summary":"Archive organization checklists","description":"Archive multiple organization checklists","operationId":"archiveOrganizationChecklists","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"clientChecklistIds":{"type":"array","items":{"type":"integer","format":"int32"}}}}}}},"responses":{"200":{"description":"Returns a list of archive organization checklists","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"completedTaskCount":{"type":"integer","description":"Last updated by user","format":"int32"},"totalTaskCount":{"type":"integer","description":"Checklist's total tasks count","format":"int32"},"tasks":{"type":"array","description":"Checklist's tasks","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"completedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"}},"description":"Checklist's tasks"}},"organizationId":{"type":"integer","description":"Organization identifier","format":"int32"},"clientName":{"type":"string","description":"Client name"},"archived":{"type":"boolean","description":"Indicates if the checklist is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}}},"/v2/organization/checklists":{"get":{"tags":["Organization Checklists"],"summary":"List client checklists","description":"List client checklists with given criteria","operationId":"getClientChecklists","parameters":[{"name":"checklistIds","in":"query","schema":{"type":"string"}},{"name":"organizationIds","in":"query","schema":{"type":"string"}},{"name":"checklistName","in":"query","schema":{"type":"string"}},{"name":"assignedToUserId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"completed","in":"query","schema":{"type":"boolean"}},{"name":"required","in":"query","schema":{"type":"boolean"}},{"name":"includeArchived","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Returns a list of client checklists with given criteria","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"completedTaskCount":{"type":"integer","description":"Last updated by user","format":"int32"},"totalTaskCount":{"type":"integer","description":"Checklist's total tasks count","format":"int32"},"tasks":{"type":"array","description":"Checklist's tasks","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"completedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"}},"description":"Checklist's tasks"}},"organizationId":{"type":"integer","description":"Organization identifier","format":"int32"},"clientName":{"type":"string","description":"Client name"},"archived":{"type":"boolean","description":"Indicates if the checklist is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}},"put":{"tags":["Organization Checklists"],"summary":"Update organization checklists","description":"Updates multiple organization checklists","operationId":"updateOrganizationChecklists","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"checklistId":{"minimum":1,"type":"integer","description":"Checklist identifier","format":"int32"},"name":{"type":"string","description":"Checklist name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"dueDate":{"type":"number","description":"Due date","format":"double"},"assignedToUserId":{"minimum":1,"type":"integer","description":"User identifier assigned to the checklist","format":"int32"},"tasks":{"type":"array","description":"Checklist tasks","items":{"type":"object","properties":{"id":{"minimum":1,"type":"integer","description":"Identifier","format":"int32"},"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"assignedToUserId":{"minimum":1,"type":"integer","description":"User identifier assigned to the checklist task","format":"int32"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"}},"description":"Checklist tasks"}}}}}}}},"responses":{"200":{"description":"Returns a list of updated organization checklists","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"completedTaskCount":{"type":"integer","description":"Last updated by user","format":"int32"},"totalTaskCount":{"type":"integer","description":"Checklist's total tasks count","format":"int32"},"tasks":{"type":"array","description":"Checklist's tasks","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"completedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"}},"description":"Checklist's tasks"}},"organizationId":{"type":"integer","description":"Organization identifier","format":"int32"},"clientName":{"type":"string","description":"Client name"},"archived":{"type":"boolean","description":"Indicates if the checklist is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}},"post":{"tags":["Organization Checklists"],"summary":"Create organization checklists","description":"Creates multiple organization checklists","operationId":"createOrganizationChecklists","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Checklist name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"dueDate":{"type":"number","description":"Due date","format":"double"},"assignedToUserId":{"minimum":1,"type":"integer","description":"User identifier assigned to the checklist","format":"int32"},"organizationId":{"minimum":1,"type":"integer","description":"Organization identifier","format":"int32"},"checklistTemplateId":{"minimum":1,"type":"integer","description":"Checklist template identifier","format":"int32"},"tasks":{"type":"array","description":"Checklist tasks","items":{"type":"object","properties":{"id":{"minimum":1,"type":"integer","description":"Identifier","format":"int32"},"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"assignedToUserId":{"minimum":1,"type":"integer","description":"User identifier assigned to the checklist task","format":"int32"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"}},"description":"Checklist tasks"}}}}}}}},"responses":{"200":{"description":"Returns a list of created organization checklists","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"completedTaskCount":{"type":"integer","description":"Last updated by user","format":"int32"},"totalTaskCount":{"type":"integer","description":"Checklist's total tasks count","format":"int32"},"tasks":{"type":"array","description":"Checklist's tasks","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"completedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"}},"description":"Checklist's tasks"}},"organizationId":{"type":"integer","description":"Organization identifier","format":"int32"},"clientName":{"type":"string","description":"Client name"},"archived":{"type":"boolean","description":"Indicates if the checklist is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}}},"/v2/organization/{organizationId}/checklists-from-templates":{"post":{"tags":["Organization Checklists"],"summary":"Create organization checklists from templates","description":"Creates multiple organization checklists from templates","operationId":"createOrganizationChecklistsFromTemplates","parameters":[{"name":"organizationId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}}},"responses":{"200":{"description":"Returns a list of created organization checklists","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"completedTaskCount":{"type":"integer","description":"Last updated by user","format":"int32"},"totalTaskCount":{"type":"integer","description":"Checklist's total tasks count","format":"int32"},"tasks":{"type":"array","description":"Checklist's tasks","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"completedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"}},"description":"Checklist's tasks"}},"organizationId":{"type":"integer","description":"Organization identifier","format":"int32"},"clientName":{"type":"string","description":"Client name"},"archived":{"type":"boolean","description":"Indicates if the checklist is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}}}},"/v2/organization/checklist/{checklistId}":{"get":{"tags":["Organization Checklists"],"summary":"Get client checklist","description":"Get a client checklist by id","operationId":"getClientChecklist","parameters":[{"name":"checklistId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Returns a client checklist with given id","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"completedTaskCount":{"type":"integer","description":"Last updated by user","format":"int32"},"totalTaskCount":{"type":"integer","description":"Checklist's total tasks count","format":"int32"},"tasks":{"type":"array","description":"Checklist's tasks","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"completedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"}},"description":"Checklist's tasks"}},"organizationId":{"type":"integer","description":"Organization identifier","format":"int32"},"clientName":{"type":"string","description":"Client name"},"archived":{"type":"boolean","description":"Indicates if the checklist is archived"},"archivedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"archiveTime":{"type":"number","description":"Archive time","format":"double"}}}}}}}},"delete":{"tags":["Organization Checklists"],"summary":"Delete an organization checklist","description":"Deletes an organization checklist by id","operationId":"deleteClientChecklist","parameters":[{"name":"checklistId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/v2/organization/checklists/delete":{"post":{"tags":["Organization Checklists"],"summary":"Delete organization checklists","description":"Deletes organization checklists by id","operationId":"deleteClientChecklists","requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"type":"integer","format":"int32"}}}}},"responses":{"204":{"description":"No Content"}}}},"/v2/organization/checklist/{checklistId}/signed-urls":{"get":{"tags":["Organization Checklists"],"summary":"Get organization checklist signed urls","description":"Get organization checklist signed urls","operationId":"getClientChecklistSignedUrls","parameters":[{"name":"checklistId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Returns a map of content ids and their corresponding signed urls","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/v2/organization/checklists/promote-with-name":{"post":{"tags":["Organization Checklists"],"summary":"Promote organization checklists","description":"Promote organization checklists by id","operationId":"promoteClientChecklists","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"minimum":1,"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist name"}}}}}}},"responses":{"204":{"description":"No Content"}}}},"/v2/organization/checklists/promote":{"post":{"tags":["Organization Checklists"],"summary":"Promote organization checklists","description":"Promote organization checklists by id","operationId":"promoteClientChecklists_1","requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"type":"integer","format":"int32"}}}}},"responses":{"204":{"description":"No Content"}}}},"/v2/organization/restore":{"post":{"tags":["Organization Checklists"],"summary":"Restore organization checklists","description":"Restore multiple organization checklists","operationId":"restoreOrganizationChecklists","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"clientChecklistIds":{"type":"array","items":{"type":"integer","format":"int32"}}}}}}},"responses":{"200":{"description":"Returns a list of restore organization checklists","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"name":{"type":"string","description":"Checklist name (must be unique)"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"required":{"type":"boolean","description":"Indicates if the checklist completion is required"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","description":"Date of completion","format":"double"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"lastUpdatedOn":{"type":"number","description":"Last updated on","format":"double"},"lastUpdatedBy":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"completedTaskCount":{"type":"integer","description":"Last updated by user","format":"int32"},"totalTaskCount":{"type":"integer","description":"Checklist's total tasks count","format":"int32"},"tasks":{"type":"array","description":"Checklist's tasks","items":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier","format":"int32"},"position":{"type":"integer","description":"Position of the task","format":"int32"},"name":{"type":"string","description":"Task name"},"description":{"type":"object","properties":{"text":{"type":"string"},"html":{"type":"string"}},"description":"Task description"},"assignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"deleted":{"type":"boolean"}},"description":"Archive by user"},"dueDate":{"type":"number","description":"Due date","format":"double"},"completed":{"type":"boolean","description":"Indicates if the checklist is completed"},"completedOn":{"type":"number","d
[...]
